Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
KDE 4.1 portage
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, 4 ... 28, 29, 30  Next  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
aitch
Tux's lil' helper
Tux's lil' helper


Joined: 26 Sep 2005
Posts: 88
Location: New Zealand

PostPosted: Thu Jun 05, 2008 6:16 am    Post subject: Reply with quote

well I'm totally stumped. gone through and recompiled all dependencies around qt/opengl from http://www.gentoo-portage.com/kde-base/libplasma - but nothting seems to help.

what exactly is happening with this error? what's breaking? it crashes while trying to compile containment.o..

don't understand, please helppp


Last edited by aitch on Thu Jun 05, 2008 6:31 am; edited 1 time in total
Back to top
View user's profile Send private message
DZhon
n00b
n00b


Joined: 15 Oct 2007
Posts: 11
Location: Russia, Azov

PostPosted: Thu Jun 05, 2008 6:19 am    Post subject: Reply with quote

When I am trying to install kde-base/marble-4.0.80 :(
with following command:
USE="-kontact" COLLISION_IGNORE="/usr/kde/4.1/share/apps/cmake/modules/" emerge kde-meta

Quote:
[ 20%] Generating SunControlWidget.moc
/home/dzhon/portage/portage/kde-base/marble-4.0.80/work/marble-4.0.80/marble/src/lib/global.h: At global scope:
/home/dzhon/portage/portage/kde-base/marble-4.0.80/work/marble-4.0.80/marble/src/lib/global.h:129: предупреждение: ‘NOT_AVAILABLE’ defined but not used
make[2]: *** [marble/src/tilecreator/CMakeFiles/tilecreator.dir/home/dzhon/portage/portage/kde-base/marble-4.0.80/work/marble-4.0.80/marble/src/lib/TileCreator.o] Error 1
make[2]: *** Ожидание завершения заданий...
[ 21%] make[1]: *** [marble/src/tilecreator/CMakeFiles/tilecreator.dir/all] Error 2
make[1]: *** Ожидание завершения заданий...
Back to top
View user's profile Send private message
aitch
Tux's lil' helper
Tux's lil' helper


Joined: 26 Sep 2005
Posts: 88
Location: New Zealand

PostPosted: Thu Jun 05, 2008 6:38 am    Post subject: Reply with quote

yes!

worked it out - duh, feel pretty stupid.

Code:
# equery depgraph libplasma | grep gcc
           `-- sys-devel/gcc-4.2.3


annd I was using gcc-4.1.1. of course.

so switch to the new gcc version and the problem is solved. ma ha ha, kde4.1 here I come.
Back to top
View user's profile Send private message
i4dnf
Apprentice
Apprentice


Joined: 18 Sep 2005
Posts: 265
Location: Bucharest, Romania

PostPosted: Thu Jun 05, 2008 7:11 am    Post subject: Reply with quote

that's what i was thinking about too.. since that was the only thing our sistems had in common...
_________________
"The only difference between me and a madman is that I am not MAD" (SALVATOR DALI)
Back to top
View user's profile Send private message
ar_it
Apprentice
Apprentice


Joined: 25 Feb 2006
Posts: 211
Location: Poland/Warsaw

PostPosted: Thu Jun 05, 2008 7:16 am    Post subject: Reply with quote

Hallo,
I'm looking for kde-i18n svn ebuild.
Can someone see that ebuild, or can sameone write ebuild for that.
_________________
ar_it
http://www.teamquest.pl/
https://pozyskajdane.pl
Back to top
View user's profile Send private message
aitch
Tux's lil' helper
Tux's lil' helper


Joined: 26 Sep 2005
Posts: 88
Location: New Zealand

PostPosted: Thu Jun 05, 2008 7:20 am    Post subject: Reply with quote

okay so the next problem is with kate...

Code:
>>> Emerging (1 of 38) kde-base/kate-9999 to /
 * checking ebuild checksums ;-) ...                                                                   [ ok ]
 * checking auxfile checksums ;-) ...                                                                  [ ok ]
 * checking miscfile checksums ;-) ...                                                                 [ ok ]

 * WARNING! This is an experimental ebuild of the kdesdk KDE4 SVN tree.
 * Use at your own risk. Do _NOT_ file bugs at bugs.gentoo.org because
 * of this ebuild!

>>> Unpacking source...
 * Fetching disabled since 1 hours has not passed since last update.
 * Using existing repository copy at revision 817068.
 *    working copy: /usr/portage/distfiles/svn-src/KDE/kdesdk/kdesdk

 * Exporting parts of working copy to /var/tmp/portage/kde-base/kate-9999/work/kate
>>> Source unpacked.
>>> Compiling source in /var/tmp/portage/kde-base/kate-9999/work/kate ...
CMake Error: The source directory "/var/tmp/portage/kde-base/kate-9999/work/kate" does not appear to contain CMakeLists.txt.
Specify --help for usage, or press the help button on the CMake GUI.


gah. really unsure as to how to go from here. I can copy the CMakeLists.txt file over to work/ directory, but it deletes it every time I try to re-emerge.

halp...
Back to top
View user's profile Send private message
i4dnf
Apprentice
Apprentice


Joined: 18 Sep 2005
Posts: 265
Location: Bucharest, Romania

PostPosted: Thu Jun 05, 2008 7:37 am    Post subject: Reply with quote

ctl+z after "source unpacked", copy the file then "fg".
_________________
"The only difference between me and a madman is that I am not MAD" (SALVATOR DALI)
Back to top
View user's profile Send private message
aitch
Tux's lil' helper
Tux's lil' helper


Joined: 26 Sep 2005
Posts: 88
Location: New Zealand

PostPosted: Thu Jun 05, 2008 7:57 am    Post subject: Reply with quote

hurray, that got me past that error.

unfortunately it crashes almost straight after that with this error:

Code:

emerge -avt kde-meta
>>> Compiling source in /var/tmp/portage/kde-base/kate-9999/work/kate ...
-- The C compiler identification is GNU
-- The CXX compiler identification is GNU
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
CMake Error at CMakeLists.txt:4 (macro_optional_find_package):
  Unknown CMake command "macro_optional_find_package".


CMake Warning (dev) in CMakeLists.txt:
  No cmake_minimum_required command is present.  A line of code such as

    cmake_minimum_required(VERSION 2.6)

  should be added at the top of the file.  The version specified may be lower
  if you wish to support older CMake versions for this project.  For more
  information run "cmake --help-policy CMP0000".
This warning is for project developers.  Use -Wno-dev to suppress it.

-- Configuring done
 *
 * ERROR: kde-base/kate-9999 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 3064:  Called kde4-meta_src_compile
 *             environment, line 2335:  Called kde4-meta_src_configure
 *             environment, line 2341:  Called kde4-base_src_configure
 *             environment, line 2086:  Called cmake-utils_src_configureout
 *             environment, line  719:  Called die
 * The specific snippet of code:
 *       cmake ${cmakeargs} "${S}" || die "Cmake failed";
 *  The die message:
 *   Cmake failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/kde-base/kate-9999/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/kde-base/kate-9999/temp/environment'.
 * This ebuild is from an overlay: '/usr/local/layman/kdesvn-portage/'
 *



any ideas?
Back to top
View user's profile Send private message
aitch
Tux's lil' helper
Tux's lil' helper


Joined: 26 Sep 2005
Posts: 88
Location: New Zealand

PostPosted: Thu Jun 05, 2008 9:24 am    Post subject: Reply with quote

okay so I figured my error might be to do with cmake being built with the older version of gcc, so I recompiled it and tried emerging kate again:

Code:


>>> Emerging (1 of 1) kde-base/kate-9999 to /
 * checking ebuild checksums ;-) ...                                                                   [ ok ]
 * checking auxfile checksums ;-) ...                                                                  [ ok ]
 * checking miscfile checksums ;-) ...                                                                 [ ok ]

 * WARNING! This is an experimental ebuild of the kdesdk KDE4 SVN tree.
 * Use at your own risk. Do _NOT_ file bugs at bugs.gentoo.org because
 * of this ebuild!

>>> Unpacking source...
 * subversion update start -->
 *      repository: svn://anonsvn.kde.org/home/kde/trunk/KDE/kdesdk
svn: Can't open file 'kate/plugins/konsole/.svn/lock': No space left on device


I'm now getting this error for any svn package I try to compile, yet I have free space on my portage partition (1.5 gigs..)
haaalp?
Back to top
View user's profile Send private message
waltercool
n00b
n00b


Joined: 27 Jan 2008
Posts: 38
Location: Chile

PostPosted: Thu Jun 05, 2008 10:18 pm    Post subject: Re: nepomuk Reply with quote

coolsnowmen wrote:
has anyone had trouble with nepomuk? installed it?

Quote:
>>> Source compiled.
>>> Test phase [not enabled]: kde-base/nepomuk-4.0.80

>>> Install nepomuk-4.0.80 into /var/tmp/portage/kde-base/nepomuk-4.0.80/image/ category kde-base
make: *** No rule to make target `install'. Stop.
*
* ERROR: kde-base/nepomuk-4.0.80 failed.
* Call stack:
* ebuild.sh, line 49: Called src_install
* environment, line 2902: Called kde4-meta_src_install
* environment, line 2302: Called cmake-utils_src_install
* environment, line 690: Called die
* The specific snippet of code:
* emake install DESTDIR="${D}" || die "Make install failed";
* The die message:
* Make install failed
*
* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/tmp/portage/kde-base/nepomuk-4.0.80/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/kde-base/nepomuk-4.0.80/temp/environment'.
* This ebuild used the following eclasses from overlays:
* /usr/portage/local/layman/kdesvn-portage/eclass/kde4-meta.eclass
* /usr/portage/local/layman/kdesvn-portage/eclass/kde4-functions.eclass
* /usr/portage/local/layman/kdesvn-portage/eclass/kde4-base.eclass
*


I tried forcing the 9999 install w/o 9999 kdelibs

Quote:
>>> Source compiled.
>>> Test phase [not enabled]: kde-base/nepomuk-9999

>>> Install nepomuk-9999 into /var/tmp/portage/kde-base/nepomuk-9999/image/ category kde-base
make: *** No rule to make target `install'. Stop.
*
* ERROR: kde-base/nepomuk-9999 failed.
* Call stack:
* ebuild.sh, line 49: Called src_install
* environment, line 3003: Called kde4-meta_src_install
* environment, line 2323: Called cmake-utils_src_install
* environment, line 711: Called die
* The specific snippet of code:
* emake install DESTDIR="${D}" || die "Make install failed";
* The die message:
* Make install failed
*
* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/tmp/portage/kde-base/nepomuk-9999/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/kde-base/nepomuk-9999/temp/environment'.
* This ebuild used the following eclasses from overlays:
* /usr/portage/local/layman/kdesvn-portage/eclass/kde4svn-meta.eclass
* /usr/portage/local/layman/kdesvn-portage/eclass/kde4svn.eclass
* /usr/portage/local/layman/kdesvn-portage/eclass/kde4-meta.eclass
* /usr/portage/local/layman/kdesvn-portage/eclass/kde4-functions.eclass
* /usr/portage/local/layman/kdesvn-portage/eclass/kde4-base.eclass


x2
_________________
- WalterCool
Back to top
View user's profile Send private message
ArneBab
Guru
Guru


Joined: 24 Jan 2006
Posts: 427
Location: Graben-Neudorf, Germany

PostPosted: Fri Jun 06, 2008 2:03 am    Post subject: Reply with quote

dragonplayer-4.0.80

seems to need some patching:
--- a/kde-base/dragonplayer/dragonplayer-4.0.80.ebuild
+++ b/kde-base/dragonplayer/dragonplayer-4.0.80.ebuild
@@ -18,9 +18,9 @@ RDEPEND=">=media-libs/xine-lib-1.1.9
DEPEND="${RDEPEND}
sys-devel/gettext"
pkg_setup() {
- if ! built_with_use media-sound/phonon xcb ; then
- eerror "In order to build "
- eerror "you need media-sound/phonon built with xcb USE flag"
- die "no xcb support in phonon"
- fi
+ if ! built_with_use kde-base/phonon-xine xcb ; then
+ eerror "In order to build "
+ eerror "you need kde-base/phonon-xine built with xcb USE flag"
+ die "no xcb support in phonon"
+ fi
}

At least it built, after I did that change.
_________________
Being unpolitical means being political without realizing it. - Arne Babenhauserheide ( http://draketo.de )

pkgcore: So fast that it feels unreal - by doing only what is needed.
Back to top
View user's profile Send private message
Krog
Guru
Guru


Joined: 26 Jun 2007
Posts: 330
Location: Roma, Italy

PostPosted: Fri Jun 06, 2008 12:43 pm    Post subject: Reply with quote

many thanks for this overlay
I emerged the -9999 version of kde4 some days ago.
Now what is good to do for upgrading? There are a lots of packages, I must re-emerge one by one?
Back to top
View user's profile Send private message
drescherjm
Advocate
Advocate


Joined: 05 Jun 2004
Posts: 2779
Location: Pittsburgh, PA, USA

PostPosted: Fri Jun 06, 2008 1:50 pm    Post subject: Reply with quote

Quote:
many thanks for this overlay


Same here. I am happy we can do this without paludis being that I spent several hours yesterday trying to get it to work with the other overlay. Too many old and broken external links in threads which contain way too many replies to make them useful.

Now my disappointment after installing kde-4.1 is they did not change the ugly default theme and there still appears to be no way to change the color of the taskbar. Everything appears snappier though.
_________________
John

My gentoo overlay
Instructons for overlay
Back to top
View user's profile Send private message
prizident
n00b
n00b


Joined: 06 Dec 2006
Posts: 42

PostPosted: Fri Jun 06, 2008 2:39 pm    Post subject: Reply with quote

DZhon wrote:
When I am trying to install kde-base/marble-4.0.80 :(
with following command:
USE="-kontact" COLLISION_IGNORE="/usr/kde/4.1/share/apps/cmake/modules/" emerge kde-meta

try this
LC_ALL=C MAKEOPTS=-j1 USE="-kontact" COLLISION_IGNORE="/usr/kde/4.1/share/apps/cmake/modules/" emerge kde-meta
it will show more valuable info
Back to top
View user's profile Send private message
DZhon
n00b
n00b


Joined: 15 Oct 2007
Posts: 11
Location: Russia, Azov

PostPosted: Sat Jun 07, 2008 7:41 am    Post subject: Re: nepomuk Reply with quote

waltercool wrote:
coolsnowmen wrote:
has anyone had trouble with nepomuk? installed it?

Quote:
>>> Source compiled.
>>> Test phase [not enabled]: kde-base/nepomuk-4.0.80

>>> Install nepomuk-4.0.80 into /var/tmp/portage/kde-base/nepomuk-4.0.80/image/ category kde-base
make: *** No rule to make target `install'. Stop.
*
* ERROR: kde-base/nepomuk-4.0.80 failed.
* Call stack:
* ebuild.sh, line 49: Called src_install
* environment, line 2902: Called kde4-meta_src_install
* environment, line 2302: Called cmake-utils_src_install
* environment, line 690: Called die
* The specific snippet of code:
* emake install DESTDIR="${D}" || die "Make install failed";
* The die message:
* Make install failed
*
* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/tmp/portage/kde-base/nepomuk-4.0.80/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/kde-base/nepomuk-4.0.80/temp/environment'.
* This ebuild used the following eclasses from overlays:
* /usr/portage/local/layman/kdesvn-portage/eclass/kde4-meta.eclass
* /usr/portage/local/layman/kdesvn-portage/eclass/kde4-functions.eclass
* /usr/portage/local/layman/kdesvn-portage/eclass/kde4-base.eclass
*


I tried forcing the 9999 install w/o 9999 kdelibs

Quote:
>>> Source compiled.
>>> Test phase [not enabled]: kde-base/nepomuk-9999

>>> Install nepomuk-9999 into /var/tmp/portage/kde-base/nepomuk-9999/image/ category kde-base
make: *** No rule to make target `install'. Stop.
*
* ERROR: kde-base/nepomuk-9999 failed.
* Call stack:
* ebuild.sh, line 49: Called src_install
* environment, line 3003: Called kde4-meta_src_install
* environment, line 2323: Called cmake-utils_src_install
* environment, line 711: Called die
* The specific snippet of code:
* emake install DESTDIR="${D}" || die "Make install failed";
* The die message:
* Make install failed
*
* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/tmp/portage/kde-base/nepomuk-9999/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/kde-base/nepomuk-9999/temp/environment'.
* This ebuild used the following eclasses from overlays:
* /usr/portage/local/layman/kdesvn-portage/eclass/kde4svn-meta.eclass
* /usr/portage/local/layman/kdesvn-portage/eclass/kde4svn.eclass
* /usr/portage/local/layman/kdesvn-portage/eclass/kde4-meta.eclass
* /usr/portage/local/layman/kdesvn-portage/eclass/kde4-functions.eclass
* /usr/portage/local/layman/kdesvn-portage/eclass/kde4-base.eclass


x2

x3... same errors
Back to top
View user's profile Send private message
Krog
Guru
Guru


Joined: 26 Jun 2007
Posts: 330
Location: Roma, Italy

PostPosted: Sat Jun 07, 2008 7:54 am    Post subject: Reply with quote

Krog wrote:
many thanks for this overlay
I emerged the -9999 version of kde4 some days ago.
Now what is good to do for upgrading? There are a lots of packages, I must re-emerge one by one?


one possible solution is
Code:
equery list kde-base/ | grep 9999

to have a list of packages installed and then manipulating to have a single-line list of packages to re-emerge.
The same for kde-misc.
Is this a good way? There are packages that are not shown in that way? There is a strict order to follow?
Thanks
Back to top
View user's profile Send private message
IvanMajhen
Guru
Guru


Joined: 10 Jun 2006
Posts: 392
Location: Croatia

PostPosted: Sat Jun 07, 2008 8:38 am    Post subject: Re: nepomuk Reply with quote

DZhon wrote:
waltercool wrote:
coolsnowmen wrote:
has anyone had trouble with nepomuk? installed it?

Quote:
>>> Source compiled.
>>> Test phase [not enabled]: kde-base/nepomuk-4.0.80

>>> Install nepomuk-4.0.80 into /var/tmp/portage/kde-base/nepomuk-4.0.80/image/ category kde-base
make: *** No rule to make target `install'. Stop.
*
* ERROR: kde-base/nepomuk-4.0.80 failed.
* Call stack:
* ebuild.sh, line 49: Called src_install
* environment, line 2902: Called kde4-meta_src_install
* environment, line 2302: Called cmake-utils_src_install
* environment, line 690: Called die
* The specific snippet of code:
* emake install DESTDIR="${D}" || die "Make install failed";
* The die message:
* Make install failed
*
* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/tmp/portage/kde-base/nepomuk-4.0.80/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/kde-base/nepomuk-4.0.80/temp/environment'.
* This ebuild used the following eclasses from overlays:
* /usr/portage/local/layman/kdesvn-portage/eclass/kde4-meta.eclass
* /usr/portage/local/layman/kdesvn-portage/eclass/kde4-functions.eclass
* /usr/portage/local/layman/kdesvn-portage/eclass/kde4-base.eclass
*


I tried forcing the 9999 install w/o 9999 kdelibs

Quote:
>>> Source compiled.
>>> Test phase [not enabled]: kde-base/nepomuk-9999

>>> Install nepomuk-9999 into /var/tmp/portage/kde-base/nepomuk-9999/image/ category kde-base
make: *** No rule to make target `install'. Stop.
*
* ERROR: kde-base/nepomuk-9999 failed.
* Call stack:
* ebuild.sh, line 49: Called src_install
* environment, line 3003: Called kde4-meta_src_install
* environment, line 2323: Called cmake-utils_src_install
* environment, line 711: Called die
* The specific snippet of code:
* emake install DESTDIR="${D}" || die "Make install failed";
* The die message:
* Make install failed
*
* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/tmp/portage/kde-base/nepomuk-9999/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/kde-base/nepomuk-9999/temp/environment'.
* This ebuild used the following eclasses from overlays:
* /usr/portage/local/layman/kdesvn-portage/eclass/kde4svn-meta.eclass
* /usr/portage/local/layman/kdesvn-portage/eclass/kde4svn.eclass
* /usr/portage/local/layman/kdesvn-portage/eclass/kde4-meta.eclass
* /usr/portage/local/layman/kdesvn-portage/eclass/kde4-functions.eclass
* /usr/portage/local/layman/kdesvn-portage/eclass/kde4-base.eclass


x2

x3... same errors


Is strigi compiled with qt4 use flag? That worked for me.
Back to top
View user's profile Send private message
DZhon
n00b
n00b


Joined: 15 Oct 2007
Posts: 11
Location: Russia, Azov

PostPosted: Sat Jun 07, 2008 8:57 am    Post subject: Reply with quote

Quote:
localhost dzhon # USE="qt4" emerge strigi -p

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild R ] app-misc/strigi-0.5.9


As you see...
Back to top
View user's profile Send private message
IvanMajhen
Guru
Guru


Joined: 10 Jun 2006
Posts: 392
Location: Croatia

PostPosted: Sat Jun 07, 2008 9:07 am    Post subject: Reply with quote

Don't know... When i recompiled strigi it worked.
Back to top
View user's profile Send private message
DZhon
n00b
n00b


Joined: 15 Oct 2007
Posts: 11
Location: Russia, Azov

PostPosted: Sat Jun 07, 2008 8:21 pm    Post subject: Reply with quote

I have problems with libksane-9999 :
Quote:
* Exporting parts of working copy to /home/dzhon/portage/portage/kde-base/libksane-9999/work/libksane
rsync: link_stat "/usr/portage/distfiles/svn-src/KDE/kdegraphics/kdegraphics/libksane" failed: No such file or directory (2)
rsync error: some files could not be transferred (code 23) at main.c(1031) [sender=3.0.2]

So, libksane folder moved to KDE/kdegraphics/kdegraphics/libs/libksane (according to websvn) ... I tried to make symbolic lync "libksane" to ./libs/libksane but it doesnt work, unfortunality :(
Any ideas ?
Back to top
View user's profile Send private message
wuno
Apprentice
Apprentice


Joined: 17 May 2005
Posts: 193
Location: Germany

PostPosted: Sun Jun 08, 2008 12:45 pm    Post subject: Re: nepomuk Reply with quote

Try to recompile soprano-2.0.98, then kdelibs (some nepomuk files are build in kdelibs) and then try again nepomuk.
In my first kdelibs-4.0.80 log I saw:
Code:
Soprano version 2.0.2 is too old. Please install 2.0.97 or newer
and then the nepomuk files in kdelibs weren't built.

coolsnowmen wrote:
has anyone had trouble with nepomuk? installed it?

Quote:
>>> Source compiled.
>>> Test phase [not enabled]: kde-base/nepomuk-4.0.80

>>> Install nepomuk-4.0.80 into /var/tmp/portage/kde-base/nepomuk-4.0.80/image/ category kde-base
make: *** No rule to make target `install'. Stop.
*
* ERROR: kde-base/nepomuk-4.0.80 failed.
* Call stack:
* ebuild.sh, line 49: Called src_install
* environment, line 2902: Called kde4-meta_src_install
* environment, line 2302: Called cmake-utils_src_install
* environment, line 690: Called die
* The specific snippet of code:
* emake install DESTDIR="${D}" || die "Make install failed";
* The die message:
* Make install failed
*
* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/tmp/portage/kde-base/nepomuk-4.0.80/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/kde-base/nepomuk-4.0.80/temp/environment'.
* This ebuild used the following eclasses from overlays:
* /usr/portage/local/layman/kdesvn-portage/eclass/kde4-meta.eclass
* /usr/portage/local/layman/kdesvn-portage/eclass/kde4-functions.eclass
* /usr/portage/local/layman/kdesvn-portage/eclass/kde4-base.eclass
*


I tried forcing the 9999 install w/o 9999 kdelibs

Quote:
>>> Source compiled.
>>> Test phase [not enabled]: kde-base/nepomuk-9999

>>> Install nepomuk-9999 into /var/tmp/portage/kde-base/nepomuk-9999/image/ category kde-base
make: *** No rule to make target `install'. Stop.
*
* ERROR: kde-base/nepomuk-9999 failed.
* Call stack:
* ebuild.sh, line 49: Called src_install
* environment, line 3003: Called kde4-meta_src_install
* environment, line 2323: Called cmake-utils_src_install
* environment, line 711: Called die
* The specific snippet of code:
* emake install DESTDIR="${D}" || die "Make install failed";
* The die message:
* Make install failed
*
* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/tmp/portage/kde-base/nepomuk-9999/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/kde-base/nepomuk-9999/temp/environment'.
* This ebuild used the following eclasses from overlays:
* /usr/portage/local/layman/kdesvn-portage/eclass/kde4svn-meta.eclass
* /usr/portage/local/layman/kdesvn-portage/eclass/kde4svn.eclass
* /usr/portage/local/layman/kdesvn-portage/eclass/kde4-meta.eclass
* /usr/portage/local/layman/kdesvn-portage/eclass/kde4-functions.eclass
* /usr/portage/local/layman/kdesvn-portage/eclass/kde4-base.eclass
Back to top
View user's profile Send private message
himpierre
l33t
l33t


Joined: 31 Aug 2002
Posts: 863
Location: Berlin

PostPosted: Sun Jun 08, 2008 1:37 pm    Post subject: Reply with quote

Hm. Could not build kdelibs. It was an old attr package installed. If someone gets the same error.

Code:
Linking CXX shared library ../lib/libkio.so
/usr/lib/gcc/x86_64-pc-linux-gnu/4.2.4/../../../../x86_64-pc-linux-gnu/bin/ld: /lib64/libattr.a(syscalls.o): relocation R_X86_64_PC32 against `syscall@@GLIBC_2.2.5' can not be used when making a shared object; recompile with -fPIC
/usr/lib/gcc/x86_64-pc-linux-gnu/4.2.4/../../../../x86_64-pc-linux-gnu/bin/ld: final link failed: Bad value
collect2: ld returned 1 exit status
make[2]: *** [lib/libkio.so.5.1.0] Error 1
make[1]: *** [kio/CMakeFiles/kio.dir/all] Error 2
make: *** [all] Error 2
Back to top
View user's profile Send private message
himpierre
l33t
l33t


Joined: 31 Aug 2002
Posts: 863
Location: Berlin

PostPosted: Sun Jun 08, 2008 1:52 pm    Post subject: Reply with quote

I have noticed that a few packages did not build with "-j5". With "-j1" they do build. Someone else observed this?
Back to top
View user's profile Send private message
TheCat
Tux's lil' helper
Tux's lil' helper


Joined: 20 Feb 2004
Posts: 139
Location: Belarus

PostPosted: Sun Jun 08, 2008 2:15 pm    Post subject: Reply with quote

could someone fix this?
https://forums.gentoo.org/viewtopic-p-5112082.html#5112082
I have same issue. Changing it to dev-libs/chmlib fix it but till next sync.
Back to top
View user's profile Send private message
drescherjm
Advocate
Advocate


Joined: 05 Jun 2004
Posts: 2779
Location: Pittsburgh, PA, USA

PostPosted: Sun Jun 08, 2008 3:46 pm    Post subject: Reply with quote

You mean that you sync again and some how it is broken?

Did you update your overlay?
_________________
John

My gentoo overlay
Instructons for overlay
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3, 4 ... 28, 29, 30  Next
Page 3 of 30

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum